Mailinglist Archive: opensuse-bugs (4068 mails)

< Previous Next >
[Bug 713919] New: devel:tools:scm:svn/subversion: Bug
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Wed, 24 Aug 2011 07:22:56 +0000
  • Message-id: <bug-713919-21960@http.bugzilla.novell.com/>

https://bugzilla.novell.com/show_bug.cgi?id=713919

https://bugzilla.novell.com/show_bug.cgi?id=713919#c0


Summary: devel:tools:scm:svn/subversion: Bug
Classification: openSUSE
Product: openSUSE.org
Version: unspecified
Platform: i686
OS/Version: Linux
Status: NEW
Severity: Normal
Priority: P5 - None
Component: 3rd party software
AssignedTo: dmueller@xxxxxxxx
ReportedBy: Stefan.von.Dombrowski@xxxxxx
QAContact: opensuse-communityscreening@xxxxxxxxxxxxxxxxxxxxxx
CC: pascal.bleser@xxxxxxxxxxxx
Found By: Customer
Blocker: No


Somewhere between subversion-1.6.17-32.1 and subversion-1.6.17-51.1 the source
package configuration has been changed in a way that leads to SLE11 binaries
being built without support for kwallet and gnome-keyring.

Instead of

#%define with_ruby 0%{?suse_version} > 1110
#%define with_intree_swig 0%{?suse_version} != 1110
#%if 0%{?always_use_intree_sqlite}
#%define with_intree_sqlite 1
#%define with_python_ctypes 0%{?suse_version} > 1110
#%else
#%define with_intree_sqlite 0%{?suse_version} < 1110
#%define with_python_ctypes 0
#%endif
#%define with_kde4_kwallet 0%{?suse_version} > 1110
#%define with_gnome_keyring 0%{?suse_version} > 1110

I needed to define

%define with_ruby 1
%define with_intree_swig 1
%define with_intree_sqlite 1
%define with_python_ctypes 0
%define with_kde4_kwallet 1
%define with_gnome_keyring 1

to make build for SLE11 SP1 work as before.

In -32.1 the definitions were

%if 0%{?sles_version} == 9
%define __python %{_usr}/bin/python2.5
%endif
%if 0%{?sles_version} == 9
%define with_ruby 0
%define with_python_ctypes 0
%else
%define with_ruby 1
%define with_python_ctypes 0
%endif
%define with_intree_sqlite 1
%if 0%{?suse_version} > 1010
%define with_gnome_keyring 1
%else
%define with_gnome_keyring 0
%endif # suse_version > 1010
%if 0%{?suse_version} > 1030
%define with_kde4_kwallet 1
%else
%define with_kde4_kwallet 0
%endif # suse_version > 1030

Could the current defines please be changed so that SLE11 SP1 subversion
packages are built with wallet/keyring support again?

--
Configure bugmail: https://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

< Previous Next >
Follow Ups